<div class="agency-detail">
    <app-content-banner [isDashboard]="false" pageName="Edit Agency"></app-content-banner>
    <form [formGroup]="agencyDetailForm" (ngSubmit)="onSubmit()">
        <mat-card class="sp-main-card  regular-mat-form-field">
            <mat-card-content class="regular-mat-form-field">
                <div class="cAgencySite-small-box mat-elevation-z4" fxLayout="column">
                    <div class="cAgencySite-containter">
                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30" style="font-weight: 700;">Agency Informaton &nbsp; &nbsp;</label>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30"> &nbsp; &nbsp;</label>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5px">

                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Agency Name &nbsp; &nbsp;</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.name" class="txtuppercase"
                                        formControlName="agencyNameCtrl" maxlength="100" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Agency Type &nbsp; &nbsp;</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <mat-select formControlName="agencyTypeCtrl" [(ngModel)]="agencyinfo.agencyType"
                                        placeholder="Select">
                                        <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                            {{agencyType.typeDescription}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                        <div fxLayout="row">
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color"> Address</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <textarea matInput maxlength="200" [(ngModel)]="agencyinfo.agencyAddress" class="txtuppercase"
                                        formControlName="agencyaddressCtrl" cdkTextareaAutosize cdkAutosizeMinRows="2"
                                        cdkAutosizeMaxRows="4">
                                    </textarea>
                                </mat-form-field>

                            </div>
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">City</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.city" class="txtuppercase"
                                    alphabetSpace formControlName="agencycityCtrl" maxlength="50" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" fxFlex="30" class="required-label-color">State</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.state" class="txtuppercase"
                                    alphabetOnly formControlName="agencystateCtrl" maxlength="2" minlength="2" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Zip</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput digitOnly [(ngModel)]="agencyinfo.zip" formControlName="agencyzipCtrl"
                                        maxlength="5" minlength="5" />
                                </mat-form-field>
                            </div>
                        </div>

                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30">Agency Contact &nbsp; &nbsp;</label>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30"> &nbsp; &nbsp;</label>
                        </div>
                        <div fxLayout="row" fxLayoutGap="5px">

                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">First Name &nbsp; &nbsp;</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.contactFirstName" class="txtuppercase"
                                        formControlName="firstNameCtrl" maxlength="50" />
                                </mat-form-field>
                            </div>

                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Last Name &nbsp; &nbsp;</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.contactLastName" class="txtuppercase"
                                        formControlName="lastNameCtrl" maxlength="50" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30">Office Title &nbsp; &nbsp;</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.contactTitle" class="txtuppercase"
                                        formControlName="titleCtrl" maxlength="25" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color">Email &nbsp; &nbsp;</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.email" formControlName="emailCtrl"
                                        maxlength="50" />
                                </mat-form-field>
                            </div>
                        </div>
                        <div fxLayout="row">
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" class="required-label-color"> Office Phone</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.phone" formControlName="officephoneCtrl"
                                        [showMaskTyped]="true" mask="000-000-0000" />

                                </mat-form-field>

                            </div>

                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30">Extension</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.extension" formControlName="officephoneExtnCtrl"
                                        maxlength="5" />
                                </mat-form-field>
                            </div>
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30" fxFlex="30">Fax</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.fax" formControlName="faxCtrl"
                                        mask="000-000-0000" [showMaskTyped]="true" />
                                </mat-form-field>
                            </div>


                        </div>
                        <div fxLayout="row">
                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                <label fxFlex="30"> Cell Phone</label>
                                <mat-form-field appearance="outline" fxFlex="70">
                                    <input matInput type="text" [(ngModel)]="agencyinfo.alternatePhone" formControlName="cellphoneCtrl"
                                        [showMaskTyped]="true" mask="000-000-0000" />
                                </mat-form-field>
                            </div>
                        </div>
                    </div>

                </div>



                <app-nav-footer [isSaveRequired]="true" [isNextRequired]="false"
                    [isExitRequired]="true" [isPreviousRequired]="false"
                    (Exitbtn)="exitPage()" (Savebtn)="onSave()" ></app-nav-footer>
            </mat-card-content>
        </mat-card>
    </form>
</div>